# Class SQLWarnings

java.lang.Object
com.mchange.v2.c3p0.SQLWarnings

public final class SQLWarnings extends Object

## Constructor Summary

Constructors
Constructor
Description
`SQLWarnings()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`logAndClearWarnings(Connection con)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SQLWarnings

public SQLWarnings()

## Method Details

### logAndClearWarnings

public static void logAndClearWarnings(Connection con) throws SQLException

Throws:
  `SQLException`